
<h1 mat-dialog-title>
	<span fxFlex=""> Выбрать дату вступительного испытания</span>
	<button mat-icon-button [mat-dialog-close]="">
		<mat-icon svgIcon="close"></mat-icon>
	</button>
</h1>
<div mat-dialog-content>

	<table mat-table [dataSource]="dates">
		<ng-container matColumnDef="checkBox">
			<th mat-header-cell *matHeaderCellDef >  </th>
			<td mat-cell *matCellDef="let row">
				<mat-checkbox
					#checkbox
					[hidden]="this.checkedDone && !checkbox.checked"
					(click)="$event.stopPropagation()"
					(change)="checkDate($event, row)">
				</mat-checkbox>
			</td>
		</ng-container>

		<ng-container matColumnDef="id">
			<th mat-header-cell *matHeaderCellDef > ID </th>
			<td mat-cell *matCellDef="let row"> {{ row.id }}</td>
		</ng-container>

		<ng-container matColumnDef="date">
			<th mat-header-cell *matHeaderCellDef > Дата проведения ВИ </th>
			<td mat-cell *matCellDef="let row">
				{{ row.entrance_test_date | date: 'dd.MM.yyyy HH:mm, (zzzz)'}}
			</td>
		</ng-container>

		<ng-container matColumnDef="examLocation">
			<th mat-header-cell *matHeaderCellDef> Место проведения </th>
			<td mat-cell *matCellDef="let row">
				{{row.exam_location}}
			</td>
		</ng-container>

		<ng-container matColumnDef="count">
			<th mat-header-cell *matHeaderCellDef> Макс. кол-во человек </th>
			<td mat-cell *matCellDef="let row">
				{{row.count_c}}
			</td>
		</ng-container>

		<ng-container matColumnDef="uid">
			<th mat-header-cell *matHeaderCellDef> UID </th>
			<td mat-cell *matCellDef="let row">
				{{row.uid}}
			</td>
		</ng-container>

		<ng-container matColumnDef="noRecord">
			<td mat-footer-cell *matFooterCellDef [colSpan]="columnsHeader.length" ><i>Заявлений не найдено</i></td>
		</ng-container>


		<tr mat-header-row *matHeaderRowDef="columnsHeader"></tr>
		<tr mat-row class="table-row" *matRowDef="let row; columns: columnsHeader;"
			[hidden]="dates.length === 0"></tr>

		<tr mat-footer-row *matFooterRowDef="['noRecord'] "
			[hidden]="dates.length !== 0"></tr>


	</table>


</div>
<div mat-dialog-actions  align="end">
	<button mat-stroked-button [mat-dialog-close]>Отмена</button>
	<button mat-flat-button color="primary" [disabled]="!checkedDone" (click)="saveData()">Выбрать</button>
</div>

